//
// Cforall Version 1.0.0 Copyright (C) 2015 University of Waterloo
//
// The contents of this file are covered under the licence agreement in the
// file "LICENCE" distributed with Cforall.
//
// AlternativePrinter.h -- 
//
// Author           : Richard C. Bilson
// Created On       : Sun May 17 06:55:43 2015
// Last Modified By : Peter A. Buhr
// Last Modified On : Sun May 17 06:57:12 2015
// Update Count     : 3
//

#ifndef ALTERNATIVEPRINTER_H
#define ALTERNATIVEPRINTER_H

#include <iostream>

#include "Alternative.h"
#include "SymTab/Indexer.h"

namespace ResolvExpr {
	class AlternativePrinter : public SymTab::Indexer {
	  public:
		AlternativePrinter( std::ostream &os );
		virtual void visit( ExprStmt *exprStmt );
	  private:
		std::ostream &os;
	};
} // namespace ResolvExpr

#endif // ALTERNATIVEPRINTER_H

// Local Variables: //
// tab-width: 4 //
// mode: c++ //
// compile-command: "make install" //
// End: //
